> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cryptoprocessing.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List balances

> Get a list of your balances for each cryptocurrency, including zero balances.



## OpenAPI

````yaml POST /accounts/list
openapi: 3.0.0
info:
  title: Merchant Backend V2
  version: '1.0'
  description: Documentation for merchant backend processing endpoints
servers:
  - url: https://app.cryptoprocessing.com/api/v2
security:
  - xProcessingKey: []
tags:
  - name: Status
  - name: Balance
  - name: Currencies
  - name: Deposit addresses
  - name: Withdrawal
  - name: Exchange
  - name: Invoices
  - name: Transactions
paths:
  /accounts/list:
    post:
      tags:
        - Balance
      summary: Get a list of balances
      description: >-
        Get a list of your balances for each cryptocurrency, including zero
        balances.
      operationId: post-accounts-list
      parameters:
        - $ref: '#/components/parameters/XProcessingSignatureHeader'
      requestBody:
        required: true
        description: >
          The `Content-Type: application/json` header must be specified even
          though the

          request body has no fields.
        content:
          application/json:
            schema:
              type: object
              description: >
                This endpoint does not accept any request parameters, but you
                must still send

                an empty JSON object (`{}`) in the request body.
              additionalProperties: false
            examples:
              Empty body:
                value: {}
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        currency:
                          type: string
                          description: Asset or currency code.
                        type:
                          type: string
                          description: Asset type.
                          enum:
                            - crypto
                            - fiat
                        balance:
                          type: string
                          description: >-
                            Account balance as a decimal string, may be
                            negative.
              examples:
                Basic example:
                  value:
                    data:
                      - currency: BTC
                        type: crypto
                        balance: '0.04'
                      - currency: EUR
                        type: fiat
                        balance: '10000'
        '400':
          $ref: '#/components/responses/MalformedJson'
        '403':
          $ref: '#/components/responses/HeaderAuthorization'
components:
  parameters:
    XProcessingSignatureHeader:
      name: X-Processing-Signature
      in: header
      required: true
      description: >-
        Hex-encoded HMAC-SHA512 signature of the request body, [generated using
        your secret key](/api-reference/authentication).
      schema:
        type: string
  responses:
    MalformedJson:
      description: |
        Bad Request

        The request body is not valid JSON, or the Content-Type
        header is not set to `application/json`.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                description: Human-readable error message.
              code:
                type: string
                description: Error code.
          examples:
            Malformed JSON:
              summary: Invalid JSON body
              value:
                error: Bad content format
                code: bad_content_format
    HeaderAuthorization:
      description: |
        Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                description: Human-readable error message.
              code:
                type: string
                description: Error code.
            description: >-
              Invalid or missing headers. Refer to
              [Errors](/api-reference/errors#403) for troubleshooting steps.
          examples:
            Bad signature header:
              value:
                error: Bad signature header
                code: bad_header_signature
            No signature header:
              value:
                error: No signature header
                code: required_header_signature
            Bad key header:
              value:
                error: Bad key header
                code: bad_header_key
            No key header:
              value:
                error: No key header
                code: required_header_key
  securitySchemes:
    xProcessingKey:
      type: apiKey
      description: Your [API key](/integration-guide/get-your-api-key).
      in: header
      name: X-Processing-Key

````